Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.util
Class LineReader

    java.lang.Object
      com.sun.squawk.util.LineReader

    public final class LineReader

extends Object

This class provides for reading lines from a reader. This is functionality normally provided by the non-J2ME class BufferedReader.

Constructor Summary
`LineReader(Reader reader)` Creates a new LineReader to parse the lines from a given Reader.

Method Summary
`String` | `readLine()` Read a line of text.
`Vector` | `readLines(Vector v)` Read all the lines from the input stream and add them to a given Vector.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineReader

    public LineReader(Reader reader)

  Creates a new LineReader to parse the lines from a given Reader.

  Parameters:
    `reader` - the reader providing the input to be parsed into lines

Method Detail

### readLine

    public String readLine()
                    throws IOException

  Read a line of text. A line is considered to be terminated by any one of a line feed ('\n'), a carriage return ('\r'), or a carriage return followed immediately by a linefeed.

  Returns:
    A String containing the contents of the line, not including any line-termination characters, or null if the end of the stream has been reached
  Throws:
    `IOException` - If an I/O error occurs

### readLines

    public Vector readLines(Vector v)
                     throws IOException

  Read all the lines from the input stream and add them to a given Vector.

  Parameters:
    `v` - the vector to add to or null if it should be created first by this method.
  Returns:
    the vector to which the lines were added
  Throws:
    `IOException` - If an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"